---
lang: en
title: 'API docs: testlab.testsandbox.mkdir'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.testsandbox.mkdir.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [TestSandbox](./testlab.testsandbox.md) &gt; [mkdir](./testlab.testsandbox.mkdir.md)

## TestSandbox.mkdir() method

Makes a directory in the TestSandbox

<b>Signature:</b>

```typescript
mkdir(dir: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dir | string | Name of directory to create (relative to TestSandbox path) |

<b>Returns:</b>

Promise&lt;void&gt;


